/**
 * 企业认证
 */
import axios from "../utils/request";

// 获取审核列表
// export async function auditList (params) {
//   const res = await axios.post(``)
// }

// 企业信息检查
export async function entCheck (user_id) {
  const res = await axios.get(`/api/v1/certification`, { params: { user_id } });
  return res;
}

// 发送企业信息认证
export async function entCommit (query) {
  const res = await axios.post(`/api/v1/emterprise_commit`, { query });
  return res;
}

// 检查生活号信息唯一性
export async function checkLife (life_account_name) {
  const res = await axios.post(`/api/v1/check_life`, { life_account_name });
  return res;
}

// 创建生活号
export async function createLife (params) {
  const res = await axios.post(`/api/v1/create_life`, { params });
  return res;
}
